# Fit-Connect .NET SDK

**Fit-Connect .NET SDK** is a .NET library for the Fit-Connect API.

**IN DEVELOPMENT NOT FOR PRODUCTION USE**

## Ignored Files

You need a secret file for e2e test like:

```json
{
  "sender": {
    "id": "00000000-0000-0000-0000-000000000000",
    "secret": "0000000000000000000000000000000000000000000",
    "scope": "send:region:DE"
  }
}
```

## Links

- [Project management](https://wiki.fit-connect.fitko.dev/de/PM_PUBLIC/Projektvorgehensmodell)
- [Wiki SDK Description](https://wiki.fit-connect.fitko.dev/de/PM_PUBLIC/Epics/SDK_Initialisierung)
- [Containing GitLab](https://git.fitko.de/)
- [Board filtered for SDK](https://git.fitko.de/fit-connect/planning/-/boards/44?label_name%5B%5D=component%3A%3ASDK)
- [Documentation](https://docs.fitko.de/fit-connect/docs/getting-started/first-steps/)
- [Security Event Token Requirements](https://wiki.fit-connect.fitko.dev/de/Konzeption/Security_Event_Token_Future)


### Tickets

- [Method signatures](https://git.fitko.de/fit-connect/planning/-/issues/438)
- [Java SDK](https://git.fitko.de/fit-connect/planning/-/issues/413)